Bug 1358149 (zendframework/zend-json-server)

Summary: Review Request: php-zendframework-zend-json-server - Zend Json-Server is a JSON-RPC server implementation
Product: [Fedora] Fedora Reporter: Remi Collet <fedora>
Component: Package ReviewAssignee: Shawn Iwinski <shawn>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, shawn
Target Milestone: ---Flags: shawn: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-11-30 17:22:16 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1357393    
Attachments:
Description Flags
phpcompatinfo-full.log
none
phpcompatinfo-lib.log
none
fedora-review.txt none

Comment 1 Shawn Iwinski 2016-11-27 22:51:52 UTC
Created attachment 1225018 [details]
phpcompatinfo-full.log

phpCompatInfo version 5.0.1 DB version 1.14.0 built Oct 17 2016 08:13:06 CEST

Comment 2 Shawn Iwinski 2016-11-27 22:52:17 UTC
Created attachment 1225019 [details]
phpcompatinfo-lib.log

phpCompatInfo version 5.0.1 DB version 1.14.0 built Oct 17 2016 08:13:06 CEST

Comment 3 Shawn Iwinski 2016-11-27 22:53:00 UTC
Created attachment 1225020 [details]
fedora-review.txt

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 --bug 1358149
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Shawn Iwinski 2016-11-27 22:56:33 UTC
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import



Shouldn't min dependency versions match?
    BuildRequires:  php-composer(%{gh_owner}/zend-json) >= 2.6.1

    # Require zend-json 3.0.0 as conflicts with previous
    Requires:       php-composer(%{gh_owner}/zend-json) >= 3.0.0



In %check, `if which php71` but then `php70` usage.



No blockers.

===== APPROVED =====

Comment 5 Remi Collet 2016-11-28 05:24:34 UTC
Thanks.

New package request open.

Comment 6 Gwyn Ciesla 2016-11-28 14:30:51 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-zendframework-zend-json-server

Comment 7 Remi Collet 2016-11-30 17:22:16 UTC
Package:    php-zendframework-zend-json-server-3.0.0-1.fc26
Status:     complete